ICU 70.1 70.1

Data Fields
icu::Transliterator::Token Union Reference

A context integer or pointer for a factory function, passed by value. More...

`#include <translit.h>`

## Data Fields
int32_t | integer
| This token, interpreted as a 32-bit integer. More...
void * | pointer
| This token, interpreted as a native pointer. More...

## Detailed Description

A context integer or pointer for a factory function, passed by value.

Stable:
  ICU 2.4

Definition at line 516 of file translit.h.

## Field Documentation

## ◆ integer

int32_t icu::Transliterator::Token::integer

This token, interpreted as a 32-bit integer.

Stable:
  ICU 2.4

Definition at line 521 of file translit.h.

Referenced by icu::Transliterator::integerToken().

## ◆ pointer

void* icu::Transliterator::Token::pointer

This token, interpreted as a native pointer.

Stable:
  ICU 2.4

Definition at line 526 of file translit.h.

Referenced by icu::Transliterator::pointerToken().

The documentation for this union was generated from the following file:

- translit.h